VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL Q0(2:0)
        SIGNAL Q1(2:0)
        SIGNAL Q2(2:0)
        SIGNAL Q0(0)
        SIGNAL Q1(0)
        SIGNAL Q2(0)
        SIGNAL Led(5:0)
        SIGNAL Clk
        SIGNAL Btn_Up
        SIGNAL Btn_Down
        SIGNAL Btn_Reset
        SIGNAL XLXN_18
        PORT Output Led(5:0)
        PORT Input Clk
        PORT Input Btn_Up
        PORT Input Btn_Down
        PORT Input Btn_Reset
        BEGIN BLOCKDEF TOGGLE_STM1
            TIMESTAMP 2007 10 10 11 13 52
            LINE N 64 32 0 32 
            LINE N 64 -224 0 -224 
            LINE N 64 -96 0 -96 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
            RECTANGLE N 64 -256 320 64 
        END BLOCKDEF
        BEGIN BLOCKDEF Speed_cntl1
            TIMESTAMP 2007 10 8 8 48 9
            RECTANGLE N 64 -256 320 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 TOGGLE_STM1
            PIN CLK Clk
            PIN RESET XLXN_18
            PIN Q(2:0) Q0(2:0)
            PIN Button Btn_Up
        END BLOCK
        BEGIN BLOCK XLXI_2 TOGGLE_STM1
            PIN CLK Clk
            PIN RESET XLXN_18
            PIN Q(2:0) Q1(2:0)
            PIN Button Btn_Down
        END BLOCK
        BEGIN BLOCK XLXI_3 TOGGLE_STM1
            PIN CLK Clk
            PIN RESET XLXN_18
            PIN Q(2:0) Q2(2:0)
            PIN Button Btn_Reset
        END BLOCK
        BEGIN BLOCK XLXI_4 Speed_cntl1
            PIN Clk Clk
            PIN Btn_Up Q0(0)
            PIN Btn_Down Q1(0)
            PIN Btn_Reset Q2(0)
            PIN Q(5:0) Led(5:0)
        END BLOCK
        BEGIN BLOCK XLXI_5 gnd
            PIN G XLXN_18
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 432 560 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_2 432 992 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_3 432 1424 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_4 1120 560 R0
        END INSTANCE
        BEGIN BRANCH Q0(2:0)
            WIRE 816 336 864 336
            BEGIN DISPLAY 864 336 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q1(2:0)
            WIRE 816 768 928 768
            BEGIN DISPLAY 928 768 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q2(2:0)
            WIRE 816 1200 928 1200
            BEGIN DISPLAY 928 1200 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q0(0)
            WIRE 1024 400 1120 400
            BEGIN DISPLAY 1024 400 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q1(0)
            WIRE 1024 464 1120 464
            BEGIN DISPLAY 1024 464 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q2(0)
            WIRE 1024 528 1120 528
            BEGIN DISPLAY 1024 528 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Led(5:0)
            WIRE 1504 336 1520 336
            WIRE 1520 336 1536 336
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 272 336 384 336
            WIRE 384 336 432 336
            WIRE 384 336 384 768
            WIRE 384 768 432 768
            WIRE 384 768 384 1200
            WIRE 384 1200 432 1200
            WIRE 384 176 384 336
            WIRE 384 176 1072 176
            WIRE 1072 176 1072 320
            WIRE 1072 320 1072 336
            WIRE 1072 336 1120 336
        END BRANCH
        BEGIN BRANCH Btn_Up
            WIRE 272 592 432 592
        END BRANCH
        BEGIN BRANCH Btn_Down
            WIRE 288 1024 432 1024
        END BRANCH
        BEGIN BRANCH Btn_Reset
            WIRE 288 1456 432 1456
        END BRANCH
        INSTANCE XLXI_5 288 1632 R0
        BEGIN BRANCH XLXN_18
            WIRE 352 464 432 464
            WIRE 352 464 352 896
            WIRE 352 896 432 896
            WIRE 352 896 352 1328
            WIRE 352 1328 432 1328
            WIRE 352 1328 352 1504
        END BRANCH
        IOMARKER 272 592 Btn_Up R180 28
        IOMARKER 288 1024 Btn_Down R180 28
        IOMARKER 288 1456 Btn_Reset R180 28
        IOMARKER 272 336 Clk R180 28
        IOMARKER 1536 336 Led(5:0) R0 28
    END SHEET
END SCHEMATIC
