----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    16:36:17 10/10/2007 
-- Design Name: 
-- Module Name:    Mux4x6 - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity Mux4x6 is
    Port ( D0,D1,D2,D3 : in  STD_LOGIC_VECTOR (5 downto 0);
           Y :  out  STD_LOGIC_VECTOR (5 downto 0);
           Sel : in  STD_LOGIC_VECTOR (1 downto 0));
end Mux4x6;

architecture Behavioral of Mux4x6 is

begin
   with Sel Select
	   Y <= D0 when "00",
		     D1 when "01",
			  D2 when "10",
			  D3 when others;
end Behavioral;

